package teen

import (
	"fmt"
	"server/game/room"
	"server/msg"
)

// 看牌
func lookCard(room *room.Room, sitPos int32) {
	SendRoundMsgToAll(room, &msg.ReqRound{
		Round:       int32(room.Round),
		RoundSitPos: int32(sitPos),
		PlayerOpt:   &msg.PlayerOpt{OptType: msg.PlayerOptType_OPT_SEEN},
		UserId:      room.GetPlayerBySitPos(sitPos).GetUserId(),
	})
}

// 弃牌
func discardCard(room *room.Room, sitPos int32) {
	SendRoundMsgToAll(room, &msg.ReqRound{
		Round:       int32(room.Round),
		RoundSitPos: int32(sitPos),
		PlayerOpt:   &msg.PlayerOpt{OptType: msg.PlayerOptType_OPT_PACKED},
		UserId:      room.GetPlayerBySitPos(sitPos).GetUserId(),
	})
}

// 跟注
func call(room *room.Room, sitPos int32) {
	SendRoundMsgToAll(room, &msg.ReqRound{
		Round:       int32(room.Round),
		RoundSitPos: int32(sitPos),
		PlayerOpt:   &msg.PlayerOpt{OptType: msg.PlayerOptType_OPT_CHAAL},
		UserId:      room.GetPlayerBySitPos(sitPos).GetUserId(),
	})
}

// 取消操作超时
func cancelOptTimeout(player *room.Player, sitPos int32) {
	eventID := fmt.Sprintf("player_%s_opt_%s", player.Id, sitPos)
	timerMgr.RemoveEvent(eventID)
}
